Debian Bug report logs - #691129
ITP: openms -- package for LC/MS data management and analysis

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Filippo Rusconi <lopippo@debian.org>

Date: Sun, 21 Oct 2012 20:45:01 UTC

Owned by: Filippo Rusconi <lopippo@debian.org>

Severity: wishlist

Fixed in version openms/1.9.0-1

Done: Filippo Rusconi <lopippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#691129; Package wnpp. (Sun, 21 Oct 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Rusconi <lopippo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 21 Oct 2012 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filippo Rusconi <lopippo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: openms -- package for LC/MS data management and analysis
Date: Sun, 21 Oct 2012 22:41:20 +0200
Package: wnpp
Severity: wishlist
Owner: Filippo Rusconi <lopippo@debian.org>

* Package name    : openms
  Version         : 1.9.0
  Upstream Author : Oliver Kohlbacher <oliver.kohlbacher@uni-tuebingen.de>
* URL             : http://open-ms.sourceforge.net
* License         : (Artistic)
  Programming Lang: (C++)
  Description     :  software suite for LC/MS data management and analysis
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem.
 .
 This package is a metapackage that depends on the OpenMS libraries
 and TOPP binaries.

Package: libopenms1.9
Architecture: any
Depends: Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openms-doc
Description: library for LC/MS data management and analysis - runtime
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships the non-graphical user interface library.


Package: libopenms-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenms1.9 ( = ${binary:Version})
Suggests: openms-doc
Description: library for LC/MS data management and analysis - dev files
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships the non-graphical user interface library
 development files.


Package: libopenmsgui1.9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenms1.9 ( = ${binary:Version})
Suggests: openms-doc
Description: gui library for LC/MS data management and analysis - runtime
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships thee graphical user interface (gui) library.


Package: libopenmsgui-dev
Architecture: any
Depends: Depends: ${shlibs:Depends}, ${misc:Depends}, libopenms-dev
Suggests: openms-doc
Description: gui library for LC/MS data management and analysis - dev files
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships the graphical user interface (gui) library
 development files..


Package: topp
Architecture: any
Depends: Depends: ${shlibs:Depends}, ${misc:Depends}, libopenms1.9 ( = ${binary:Version}), libopenms-gui1.9 ( = ${binary:Version})
Suggests: openms-doc
Description: The OpenMS proteomic pipeline
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem. The applications make use of the libopenms
 library. Some examples of these applications are :
 .
   - TOPPView: A viewer for mass spectrometry data.
   - TOPPAS: An assistant for GUI-driven TOPP workflow design.
   - DTAExtractor: Extracts spectra of an MS run file to several
     files in DTA format.
   - FileConverter:  Converts between different MS file formats.
   - FileFilter: Extracts or manipulates portions of data from peak,
     feature or consensus feature files.
   - SpectraMerger: Merges spectra from an LC/MS map, either by
     precursor or by RT blocks.
   - BaselineFilter: Removes the baseline from profile spectra using a
     top-hat filter.
   - InternalCalibration: Applies an internal calibration.
   - PTModel: Trains a model for the prediction of proteotypic
     peptides from a training set.
   - RTPredict: Predicts retention times for peptides using a model 
     trained by RTModel.
   - ExecutePipeline: Executes workflows created by TOPPAS.


Package: openms-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libopenms1.9, libopenms-gui1.9, topp
Description: library for LC/MS data management and analysis - documentation
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package brings full documentation for both the libopenms and
 libopenms-gui library packages and the openms proteomic pipeline
 (topp) package.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2012 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to Filippo Rusconi <lopippo@debian.org>:
You have taken responsibility. (Sun, 09 Dec 2012 15:03:13 GMT) Full text and rfc822 format available.

Notification sent to Filippo Rusconi <lopippo@debian.org>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 15:03:13 GMT) Full text and rfc822 format available.

Message #12 received at 691129-close@bugs.debian.org (full text, mbox):

From: Filippo Rusconi <lopippo@debian.org>
To: 691129-close@bugs.debian.org
Subject: Bug#691129: fixed in openms 1.9.0-1
Date: Sun, 09 Dec 2012 15:00:09 +0000
Source: openms
Source-Version: 1.9.0-1

We believe that the bug you reported is fixed in the latest version of
openms, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Rusconi <lopippo@debian.org> (supplier of updated openms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Nov 2012 15:58:12 +0100
Source: openms
Binary: libopenms1 libopenms-dev topp openms-common openms-doc openms
Architecture: source amd64 all
Version: 1.9.0-1
Distribution: experimental
Urgency: low
Maintainer: Filippo Rusconi <lopippo@debian.org>
Changed-By: Filippo Rusconi <lopippo@debian.org>
Description: 
 libopenms-dev - library for LC/MS data management and analysis - dev files
 libopenms1 - library for LC/MS data management and analysis - runtime
 openms     - package for LC/MS data management and analysis
 openms-common - package for LC/MS data management and analysis - shared data
 openms-doc - package for LC/MS data management and analysis - documentation
 topp       - set of programs implementing The OpenMS Proteomic Pipeline
Closes: 691129
Changes: 
 openms (1.9.0-1) experimental; urgency=low
 .
   * 1.9.0 First Debian package release (Closes: #691129).
Checksums-Sha1: 
 c7f09ccf22766f875ba9b2d38087b04c6acc6b4a 1904 openms_1.9.0-1.dsc
 239923730d1a6c615fe21d04b34d4673a667280a 91673953 openms_1.9.0.orig.tar.bz2
 9b754b0939093c453b17fc77786491d1adeacbec 13831 openms_1.9.0-1.debian.tar.gz
 dd3e0d60ec7782624fe2d6503b617b3650043c38 5729428 libopenms1_1.9.0-1_amd64.deb
 f434ea73a0bc35a9df44b2e8e231bea520e4bc7c 841740 libopenms-dev_1.9.0-1_amd64.deb
 ee6d752ec628071137398cdd60f3d6d60e4c6167 15471218 topp_1.9.0-1_amd64.deb
 3fdc444d0c6a162053639117f42eb705140fc3bc 32940198 openms-common_1.9.0-1_all.deb
 ec4fa2627af6ace556238ec80df045d943f7f9e4 16912294 openms-doc_1.9.0-1_all.deb
 2f23def18429055b8522fd0a5156c24277a74598 23464 openms_1.9.0-1_all.deb
Checksums-Sha256: 
 3afc654aa86e709e9dc07d258a5a9858e66043691e7bca72da7a5f6a3b883030 1904 openms_1.9.0-1.dsc
 06bde91745822b11bfaa82e63b32a2a4efdef14f97ade8376ad00d96c3cb3492 91673953 openms_1.9.0.orig.tar.bz2
 e4d5b829516e8fda882f807cb8106f403722c84a1c0a6f4a5bc44b4b0c967eb1 13831 openms_1.9.0-1.debian.tar.gz
 0b3c2f06e7a705fd3b4cfb8a2f16c8542227670947fa0a0636568cbba451e751 5729428 libopenms1_1.9.0-1_amd64.deb
 8b7867309e0a061893ca3340228faf1489aa4f890f311f47db7e47ea93b2abf8 841740 libopenms-dev_1.9.0-1_amd64.deb
 9316f4e00646fe9348bda9aeb2425c4669911af13ca9227c00e663db2cf170e5 15471218 topp_1.9.0-1_amd64.deb
 0594c059066aa44690c56a27345c07d5f7231d3ca13d627333cdb281201a2307 32940198 openms-common_1.9.0-1_all.deb
 d3a7999ffc4b667960efeed686076a13b8ab0c63909bf5d9c30d625c7f4901ce 16912294 openms-doc_1.9.0-1_all.deb
 bde0f364d62e2a220ded25caa799c2edbafb6f81ec00740f203e4794cab52d8d 23464 openms_1.9.0-1_all.deb
Files: 
 3e81aafcd5e5f168bdafe137a3f2f618 1904 science optional openms_1.9.0-1.dsc
 b61319248bf6bb843ac09d918205a933 91673953 science optional openms_1.9.0.orig.tar.bz2
 8952cf011ae016ea435442b9bf5fd199 13831 science optional openms_1.9.0-1.debian.tar.gz
 0aae10509eb2f29ab5800bdeecfea875 5729428 libs optional libopenms1_1.9.0-1_amd64.deb
 04134861dd84bfac31d406e85cf77fe0 841740 libdevel optional libopenms-dev_1.9.0-1_amd64.deb
 b9f9fd38dfd0d07565ae249c5953aa9f 15471218 science optional topp_1.9.0-1_amd64.deb
 f10713bd0a90549b5eb7a857d0a56b58 32940198 science optional openms-common_1.9.0-1_all.deb
 d469b5d03404583d8ec2790ef18d817f 16912294 doc optional openms-doc_1.9.0-1_all.deb
 21d216a05648f4a8446a72dca23ca8bf 23464 science optional openms_1.9.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlChRk4ACgkQTTOs5MePaHw+6ACfaVt7RVD0x85Zdp20Yz6Jw85g
HzYAmgJon0ol8pcW3umsR/VUQ0JRzinE
=BlGi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:01:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.